/*
 * base.cpp
 *
 *  Created on: Dec 5, 2017
 *      Author: kerhoas
 */


#include "base.hpp"

using namespace cv;
using namespace std;

Point Pos =  Point(50, 50);

void Base(void)
{
   Mat M(100,100, CV_8UC3, Scalar(0,0,255));   			// http://docs.opencv.org/modules/core/doc/basic_structures.html#mat-mat
    cout << "M = " << endl << " " << M << endl << endl;

    ellipse(   M,
    		   Pos,
    	       Size( 5, 5 ),
    	       10,
    	       0,
    	       360,
    	       Scalar( 255, 0, 0 ),
    	       2,
    	       8
    	       );

    namedWindow( "1", WINDOW_AUTOSIZE );
    imshow( "1", M );


    Mat N(100,100, CV_8UC3, Scalar(255,0,255));
     cout << "N = " << endl << " " << N << endl << endl;

     namedWindow( "2", WINDOW_AUTOSIZE );
     imshow( "2", N );
     waitKey(0);




}

